com::lomiri::location::service::Skeleton::DBusDaemonCredentialsResolver Struct Reference

`#include <skeleton.h>`

Inheritance diagram for com::lomiri::location::service::Skeleton::DBusDaemonCredentialsResolver:
Collaboration diagram for com::lomiri::location::service::Skeleton::DBusDaemonCredentialsResolver:

## Public Types

typedef std::function< std::string(pid_t)> | AppArmorProfileResolver
Public Types inherited from com::lomiri::location::service::Skeleton::CredentialsResolver
typedef std::shared_ptr< CredentialsResolver > | Ptr

## Public Member Functions

| DBusDaemonCredentialsResolver (const core::dbus::Bus::Ptr &bus, AppArmorProfileResolver app_armor_profile_resolver)
Credentials | resolve_credentials_for_incoming_message (const core::dbus::Message::Ptr &msg)
Public Member Functions inherited from com::lomiri::location::service::Skeleton::CredentialsResolver
| CredentialsResolver ()=default
virtual | ~CredentialsResolver ()=default

## Static Public Member Functions

static AppArmorProfileResolver | libapparmor_profile_resolver ()

## Public Attributes

core::dbus::DBus | daemon
AppArmorProfileResolver | app_armor_profile_resolver

## Detailed Description

Definition at line 66 of file service/skeleton.h.

## Member Typedef Documentation

## AppArmorProfileResolver

typedef std::function<std::string(pid_t)> com::lomiri::location::service::Skeleton::DBusDaemonCredentialsResolver::AppArmorProfileResolver

Definition at line 69 of file service/skeleton.h.

## Constructor & Destructor Documentation

## DBusDaemonCredentialsResolver()

com::lomiri::location::service::Skeleton::DBusDaemonCredentialsResolver::DBusDaemonCredentialsResolver | ( | const core::dbus::Bus::Ptr & | bus,
|  | AppArmorProfileResolver | app_armor_profile_resolver )

References app_armor_profile_resolver.

## Member Function Documentation

## libapparmor_profile_resolver()

AppArmorProfileResolver com::lomiri::location::service::Skeleton::DBusDaemonCredentialsResolver::libapparmor_profile_resolver | ( |  | ) |

static

## resolve_credentials_for_incoming_message()

Credentials com::lomiri::location::service::Skeleton::DBusDaemonCredentialsResolver::resolve_credentials_for_incoming_message | ( | const core::dbus::Message::Ptr & | msg | ) |

virtual

Implements com::lomiri::location::service::Skeleton::CredentialsResolver.

## Member Data Documentation

## app_armor_profile_resolver

AppArmorProfileResolver com::lomiri::location::service::Skeleton::DBusDaemonCredentialsResolver::app_armor_profile_resolver

Definition at line 85 of file service/skeleton.h.

Referenced by DBusDaemonCredentialsResolver().

## daemon

core::dbus::DBus com::lomiri::location::service::Skeleton::DBusDaemonCredentialsResolver::daemon

Definition at line 82 of file service/skeleton.h.

The documentation for this struct was generated from the following file:

- service/skeleton.h